classification
Title: distutils/cygwinccompiler.py doesn't support recent msvc versions
Type: Stage: resolved
Components: Distutils Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Vadim Godunko, dstufft, eric.araujo, steve.dower
Priority: normal Keywords:

Created on 2020-05-06 12:39 by Vadim Godunko, last changed 2021-02-03 18:05 by steve.dower. This issue is now closed.

Messages (2)
msg368242 - (view) Author: Vadim Godunko (Vadim Godunko) Date: 2020-05-06 12:39
Prebuild Python 3.7 package can't be used with GObjectIntrospection library on Windows due to miss of support of used MSVC compiler by distutils/cygwinccompiler.py module.

sys.version returns:

3.7.6 (tags/v3.7.6:43364a7ae0, Dec 19 2019, 00:42:30) [MSC v.1916 64 bit 
(AMD64)]

so, compiler version is detected as 1916, while get_msvcr() function supports only versions up to '1600'.
msg386246 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:05
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:05:48steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386246

resolution: out of date
stage: resolved
2020-09-19 19:12:04iritkatrielsetnosy: + eric.araujo, dstufft
components: + Distutils
2020-05-06 12:39:03Vadim Godunkocreate